from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XDisplayConnection(XInterface, Protocol):
    def addEventHandler(self, window: Any, eventHandler: XEventHandler, eventMask: int) -> None: ...
    def removeEventHandler(self, window: Any, eventHandler: XEventHandler) -> None: ...
    def addErrorHandler(self, errorHandler: XEventHandler) -> None: ...
    def removeErrorHandler(self, errorHandler: XEventHandler) -> None: ...
    def getIdentifier(self) -> Any: ...
